package dao;

import util.MysqlDriver;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class dataDao {
    public static void add(String VersionId, String apkUrl, String updateDescription) {
        Connection connection = MysqlDriver.getConnection();
        String sql = "INSERT INTO `fresh` (`VersionId`,`apkUrl`,`updateDescription` ) VALUES(?,?,?)";
        PreparedStatement preparedStatement = null;
        try {
            preparedStatement = connection.prepareStatement(sql);
            preparedStatement.setString(1, VersionId);
            preparedStatement.setString(2, apkUrl);
            preparedStatement.setString(3, updateDescription);
            preparedStatement.execute();
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            MysqlDriver.close(preparedStatement);
            MysqlDriver.close(connection);
        }
    }
    public static String getNewVersion(){
        Connection connection = MysqlDriver.getConnection();
        String sql = "SELECT VersionId FROM fresh ORDER BY id DESC LIMIT 1";
        PreparedStatement preparedStatement = null;
        ResultSet resultSet = null;
        String version = null;
        try {
            preparedStatement = connection.prepareStatement(sql);
            resultSet = preparedStatement.executeQuery();

           if (resultSet.next()) {
               version = resultSet.getString("VersionId");
            }
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            MysqlDriver.close(resultSet);
            MysqlDriver.close(preparedStatement);
            MysqlDriver.close(connection);
        }
        return version;
    }
}

